models/mapobjects/ente/padgold_goggles
{
	cull disable
	{
		map models/mapobjects/ente/padgold_head.tga
		rgbGen Vertex 
		depthWrite
		alphaFunc GE128
	}
}

models/mapobjects/ente/padgold_cape
{
	cull disable
	deformVertexes wave 100 sin 0 0.2 3 1 
	{
		map models/mapobjects/ente/padgold_body.tga
		rgbGen Vertex 
	}
}


models/mapobjects/ente/padgold_body
{
	cull none
	nopicmip
	nomipmaps
	//sort 16

	{
		map models/mapobjects/ente/padgold_body.tga
		//blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		//alphaFunc GE128
		rgbGen vertex // identity //vertex
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad.tga
		blendfunc GL_ONE GL_ONE 
		tcGen environment
                rgbGen vertex //identity //lightingDiffuse //makes effect darker
	}
}

models/mapobjects/ente/padgold_head
{
	cull none
	nopicmip
	nomipmaps
	//sort 16

	{
		map models/mapobjects/ente/padgold_head.tga
		//blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		//alphaFunc GE128
		rgbGen vertex // identity //vertex
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad.tga
		blendfunc GL_ONE GL_ONE 
		tcGen environment
                rgbGen vertex //identity //lightingDiffuse //makes effect darker
	}
}


models/mapobjects/ente/padgold_cape
{
	cull none
	nopicmip
	nomipmaps
	//sort 16

	{
		map models/mapobjects/ente/padgold_body.tga
		//blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		//alphaFunc GE128
		rgbGen vertex // identity //vertex
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad.tga
		blendfunc GL_ONE GL_ONE 
		tcGen environment
                rgbGen vertex //identity //lightingDiffuse //makes effect darker
	}
}


models/mapobjects/ente/padgold_goggles
{
	cull none
	nopicmip
	nomipmaps
	//sort 16

	{
		map models/mapobjects/ente/padgold_head.tga
		//blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		//alphaFunc GE128
		rgbGen vertex // identity //vertex
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad.tga
		blendfunc GL_ONE GL_ONE 
		tcGen environment
                rgbGen vertex //identity //lightingDiffuse //makes effect darker
	}
}