
textures/pad_cyb/mirroreng_01
{
	qer_editorimage textures/pad_cyb/mirroreng_01.tga
	{
		map textures/pad_cyb/mirroreng_01.tga
		rgbGen identity
	}
	{
		map textures/pad_cyb/mirrorglass_02.tga
		blendfunc add
		rgbGen identity
		tcGen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
}


textures/pad_cyb/mirroreng_02
{
	qer_editorimage textures/pad_cyb/mirroreng_02.tga
	{
		map textures/pad_cyb/mirroreng_02.tga
		rgbGen identity
	}
	{
		map textures/pad_cyb/mirrorglass_03.tga
		blendfunc add
		rgbGen identity
		tcGen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
}

textures/pad_cyb/plas_white
{
	qer_editorimage textures/pad_cyb/plas_white.tga
	{
		map textures/pad_cyb/plas_white.tga
		rgbGen identity
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbGen identity
		tcGen environment
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/pad_cyb/marble_toilet002
{
	qer_editorimage textures/pad_cyb/marble_toilet002.tga
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pad_cyb/marble_toilet002.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/pad_effects/pad_marblefx1.tga
		tcgen environment
		blendfunc add
		rgbgen identity
	}
}


// ***********************************************************
// *
// *  cybbath: rain -> original by q3, modified by MopAn
// *
// ***********************************************************
textures/pad_cyb/pad_cyb_rain
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
        surfaceparm nolightmap
        
        deformVertexes move 3 1 0  sin 0 5 0 0.2
        deformVertexes move .6 3.3 0  sin 0 5 0 0.4
        deformVertexes wave 30 sin 0 10 0 .2
        cull none
{
	map textures/pad_cyb/pad_cyb_rain.tga
                tcMod Scroll .5 -8
                tcMod turb .1 .25 0 -.1
                blendFunc GL_ONE GL_ONE
        }
        {
	map textures/pad_cyb/pad_cyb_rain.tga
                tcMod Scroll .01 -6.3
                blendFunc GL_ONE GL_ONE
        }
}

// ***********************************************************
// *
// *  cybbath: water-shader -> by MopAn, made with particle studio, thanx to the creators
// *
// ***********************************************************
textures/pad_cyb/waterstream 
{ 
qer_editorimage textures/pad_cyb/waterstream.tga 
q3map_globaltexture 
surfaceparm nonsolid 
surfaceparm nolightmap 
surfaceparm trans 
surfaceparm noimpact 
surfaceparm water 
tessSize 32 
deformVertexes move 0.2 0.5 0 sin 0 1 0.2 0.2 
deformVertexes move 0.5 0.3 0 sin 0 1 0 0.4 
//deformVertexes wave 32 sin 0 10 0 .2 
cull disable 
{ 
map textures/pad_cyb/waterstream.tga 
blendfunc GL_ONE GL_ONE_MINUS_SRC_COLOR 
tcMod scale 0.4 0.55 
tcMod turb .1 .08 .25 .08 
tcMod scroll 0.005 -1 
} 
{ 
map textures/pad_cyb/waterstream.tga 
blendfunc GL_ONE GL_ONE_MINUS_SRC_COLOR 
tcMod scale 0.5 0.45 
tcMod turb .1 .05 .25 .08 
tcMod scroll 0.008 -0.6 
} 
} 

textures/pad_cyb/wave3_1 
{ 
qer_editorimage textures/pad_cyb/wave3.tga 
surfaceparm noimpact 
surfaceparm nolightmap 
cull none 
surfaceparm trans 
surfaceparm nonsolid 
surfaceparm nodlight 
deformvertexes move 0.000000 0.000000 0.000000 sawtooth 0 1 0.758238 0.386510 
nomipmaps
{ 
clampmap textures/pad_cyb/wave3.tga 
tcMod rotate 13.147161 
AlphaGen wave sawtooth 1.083261 -1.083261 0.758238 0.386510 
rgbGen wave sawtooth 0.651039 -0.651039 0.758238 0.386510 
tcMod stretch sawtooth 0.496692 0.396280 0.758238 0.386510 
blendfunc add 
} 
} 

textures/pad_cyb/wave3_2 
{ 
qer_editorimage textures/pad_cyb/wave3.tga 
surfaceparm noimpact 
surfaceparm nolightmap 
cull none 
surfaceparm trans 
surfaceparm nonsolid 
surfaceparm nodlight 
deformvertexes move 0.000000 0.000000 0.000000 sawtooth 0 1 0.550810 0.215062 
nomipmaps
{ 
clampmap textures/pad_cyb/wave3.tga 
tcMod rotate 12.292642 
AlphaGen wave sawtooth 1.012714 -1.012714 0.550810 0.215062 
rgbGen wave sawtooth 0.747148 -0.747148 0.550810 0.215062 
tcMod stretch sawtooth 0.488470 0.418503 0.550810 0.215062 
blendfunc add 
} 
} 

textures/pad_cyb/wave3_3 
{ 
qer_editorimage textures/pad_cyb/wave3.tga 
surfaceparm noimpact 
surfaceparm nolightmap 
cull none 
surfaceparm trans 
surfaceparm nonsolid 
surfaceparm nodlight 
deformvertexes move 0.000000 0.000000 0.000000 sawtooth 0 1 1.093259 0.268482 
nomipmaps
{ 
clampmap textures/pad_cyb/wave3.tga 
tcMod rotate 7.173833 
AlphaGen wave sawtooth 0.962444 -0.962444 1.093259 0.268482 
rgbGen wave sawtooth 0.716947 -0.716947 1.093259 0.268482 
tcMod stretch sawtooth 0.399271 0.423142 1.093259 0.268482 
blendfunc add 
} 
} 

textures/pad_cyb/wave3_4 
{ 
qer_editorimage textures/pad_cyb/wave3.tga 
surfaceparm noimpact 
surfaceparm nolightmap 
cull none 
surfaceparm trans 
surfaceparm nonsolid 
surfaceparm nodlight 
deformvertexes move 0.000000 0.000000 0.000000 sawtooth 0 1 0.669686 0.210215 
nomipmaps
{ 
clampmap textures/pad_cyb/wave3.tga 
tcMod rotate 21.939421 
AlphaGen wave sawtooth 1.023920 -1.023920 0.669686 0.210215 
rgbGen wave sawtooth 0.638075 -0.638075 0.669686 0.210215 
tcMod stretch sawtooth 0.391726 0.652324 0.669686 0.210215 
blendfunc add 
} 
} 

textures/pad_cyb/wave3_5 
{ 
qer_editorimage textures/pad_cyb/wave3.tga 
surfaceparm noimpact 
surfaceparm nolightmap 
cull none 
surfaceparm trans 
surfaceparm nonsolid 
surfaceparm nodlight 
deformvertexes move 0.000000 0.000000 0.000000 sawtooth 0 1 1.228907 0.215789 
nomipmaps
{ 
clampmap textures/pad_cyb/wave3.tga 
tcMod rotate 15.530046 
AlphaGen wave sawtooth 0.950432 -0.950432 1.228907 0.215789 
rgbGen wave sawtooth 0.785540 -0.785540 1.228907 0.215789 
tcMod stretch sawtooth 0.325874 0.732252 1.228907 0.215789 
blendfunc add 
} 
} 

textures/pad_cyb/wave3_6 
{ 
qer_editorimage textures/pad_cyb/wave3.tga 
surfaceparm noimpact 
surfaceparm nolightmap 
cull none 
surfaceparm trans 
surfaceparm nonsolid 
surfaceparm nodlight 
deformvertexes move 0.000000 0.000000 0.000000 sawtooth 0 1 0.527409 0.303915 
nomipmaps
{ 
clampmap textures/pad_cyb/wave3.tga 
tcMod rotate 8.849666 
AlphaGen wave sawtooth 1.098447 -1.098447 0.527409 0.303915 
rgbGen wave sawtooth 0.905087 -0.905087 0.527409 0.303915 
tcMod stretch sawtooth 0.395859 0.421647 0.527409 0.303915 
blendfunc add 
} 
} 

textures/pad_cyb/wave3_7 
{ 
qer_editorimage textures/pad_cyb/wave3.tga 
surfaceparm noimpact 
surfaceparm nolightmap 
cull none 
surfaceparm trans 
surfaceparm nonsolid 
surfaceparm nodlight 
deformvertexes move 0.000000 0.000000 0.000000 sawtooth 0 1 0.650606 0.368229 
nomipmaps
{ 
clampmap textures/pad_cyb/wave3.tga 
tcMod rotate 10.157323 
AlphaGen wave sawtooth 0.910831 -0.910831 0.650606 0.368229 
rgbGen wave sawtooth 0.628663 -0.628663 0.650606 0.368229 
tcMod stretch sawtooth 0.396371 0.581820 0.650606 0.368229 
blendfunc add 
} 
} 

textures/pad_cyb/wave3_8 
{ 
qer_editorimage textures/pad_cyb/wave3.tga 
surfaceparm noimpact 
surfaceparm nolightmap 
cull none 
surfaceparm trans 
surfaceparm nonsolid 
surfaceparm nodlight 
deformvertexes move 0.000000 0.000000 0.000000 sawtooth 0 1 1.134458 0.217227 
nomipmaps
{ 
clampmap textures/pad_cyb/wave3.tga 
tcMod rotate 9.057192 
AlphaGen wave sawtooth 1.037141 -1.037141 1.134458 0.217227 
rgbGen wave sawtooth 0.722733 -0.722733 1.134458 0.217227 
tcMod stretch sawtooth 0.388113 0.698187 1.134458 0.217227 
blendfunc add 
} 
} 


textures/pad_cyb/wave_1 
{ 
qer_editorimage textures/pad_cyb/wave.tga 
surfaceparm noimpact 
surfaceparm nolightmap 
cull none 
surfaceparm trans 
surfaceparm nonsolid 
surfaceparm nodlight 
deformvertexes move 0.000000 0.000000 0.000000 sawtooth 0 1 0.765160 0.500000 
nomipmaps
{ 
clampmap textures/pad_cyb/wave.tga 
tcMod rotate 5.752586 
AlphaGen wave sawtooth 1.000000 -0.421894 0.765160 0.500000 
rgbGen wave sawtooth 1.000000 -0.720054 0.765160 0.500000 
tcMod stretch sawtooth 0.177834 0.822166 0.765160 0.500000 
blendfunc add 
} 
{ 
clampmap textures/pad_cyb/wave2.tga 
tcMod rotate 5.752586 
AlphaGen wave sawtooth 1.000000 -0.421894 0.765160 0.500000 
rgbGen wave sawtooth 1.000000 -0.720054 0.765160 0.500000 
tcMod stretch sawtooth 0.177834 0.822166 0.765160 0.500000 
blendfunc add 
} 
} 


textures/pad_cyb/bubbles2_1
{
qer_editorimage textures/pad_cyb/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -1.093287 -41.198784 541 sawtooth 0 1 1.000725 0.195925
{
clampmap textures/pad_cyb/bubbles2.tga
tcMod rotate 20.229958
AlphaGen wave sawtooth 1.000000 0.000000 1.000725 0.195925
rgbGen wave sawtooth 1.000000 0.000000 1.000725 0.195925
tcMod stretch sawtooth 0.000000 1.138240 1.000725 0.195925
blendfunc add
}
}

textures/pad_cyb/bubbles2_2
{
qer_editorimage textures/pad_cyb/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -2.769913 -21.519264 489 sawtooth 0 1 0.622631 0.252309
{
clampmap textures/pad_cyb/bubbles2.tga
tcMod rotate 2.200842
AlphaGen wave sawtooth 1.000000 0.000000 0.622631 0.252309
rgbGen wave sawtooth 1.000000 0.000000 0.622631 0.252309
tcMod stretch sawtooth 0.000000 0.869579 0.622631 0.252309
blendfunc add
}
}

textures/pad_cyb/bubbles2_3
{
qer_editorimage textures/pad_cyb/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 1.625161 -6.980746 407 sawtooth 0 1 1.213530 0.445164
{
clampmap textures/pad_cyb/bubbles2.tga
tcMod rotate 19.405041
AlphaGen wave sawtooth 1.000000 0.000000 1.213530 0.445164
rgbGen wave sawtooth 1.000000 0.000000 1.213530 0.445164
tcMod stretch sawtooth 0.000000 2.052110 1.213530 0.445164
blendfunc add
}
}

textures/pad_cyb/bubbles2_4
{
qer_editorimage textures/pad_cyb/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -8.668365 -12.663155 459 sawtooth 0 1 1.085688 0.300365
{
clampmap textures/pad_cyb/bubbles2.tga
tcMod rotate 11.414990
AlphaGen wave sawtooth 1.000000 0.000000 1.085688 0.300365
rgbGen wave sawtooth 1.000000 0.000000 1.085688 0.300365
tcMod stretch sawtooth 0.000000 1.173104 1.085688 0.300365
blendfunc add
}
}

textures/pad_cyb/bubbles2_5
{
qer_editorimage textures/pad_cyb/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -12.763139 -30.482132 551 sawtooth 0 1 0.288759 0.189146
{
clampmap textures/pad_cyb/bubbles2.tga
tcMod rotate 1.619465
AlphaGen wave sawtooth 1.000000 0.000000 0.288759 0.189146
rgbGen wave sawtooth 1.000000 0.000000 0.288759 0.189146
tcMod stretch sawtooth 0.000000 1.285534 0.288759 0.189146
blendfunc add
}
}

textures/pad_cyb/bubbles2_6
{
qer_editorimage textures/pad_cyb/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 7.834942 -10.679131 430 sawtooth 0 1 1.237915 0.365962
{
clampmap textures/pad_cyb/bubbles2.tga
tcMod rotate -2.907956
AlphaGen wave sawtooth 1.000000 0.000000 1.237915 0.365962
rgbGen wave sawtooth 1.000000 0.000000 1.237915 0.365962
tcMod stretch sawtooth 0.000000 1.686840 1.237915 0.365962
blendfunc add
}
}

textures/pad_cyb/bubbles2_7
{
qer_editorimage textures/pad_cyb/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 5.454388 -41.883984 527 sawtooth 0 1 0.402287 0.207241
{
clampmap textures/pad_cyb/bubbles2.tga
tcMod rotate 3.890042
AlphaGen wave sawtooth 1.000000 0.000000 0.402287 0.207241
rgbGen wave sawtooth 1.000000 0.000000 0.402287 0.207241
tcMod stretch sawtooth 0.000000 0.946705 0.402287 0.207241
blendfunc add
}
}

textures/pad_cyb/bubbles2_8
{
qer_editorimage textures/pad_cyb/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -9.112141 -36.627399 516 sawtooth 0 1 0.784623 0.218790
{
clampmap textures/pad_cyb/bubbles2.tga
tcMod rotate 24.587999
AlphaGen wave sawtooth 1.000000 0.000000 0.784623 0.218790
rgbGen wave sawtooth 1.000000 0.000000 0.784623 0.218790
tcMod stretch sawtooth 0.000000 0.350276 0.784623 0.218790
blendfunc add
}
}

textures/pad_cyb/bubbles2_9
{
qer_editorimage textures/pad_cyb/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 13.988351 -11.087501 503 sawtooth 0 1 1.044519 0.235235
{
clampmap textures/pad_cyb/bubbles2.tga
tcMod rotate 12.468795
AlphaGen wave sawtooth 1.000000 0.000000 1.044519 0.235235
rgbGen wave sawtooth 1.000000 0.000000 1.044519 0.235235
tcMod stretch sawtooth 0.000000 1.113410 1.044519 0.235235
blendfunc add
}
}

textures/pad_cyb/bubbles2_10
{
qer_editorimage textures/pad_cyb/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 10.265741 7.714635 531 sawtooth 0 1 0.524331 0.144779
{
clampmap textures/pad_cyb/bubbles2.tga
tcMod rotate 12.796563
AlphaGen wave sawtooth 1.000000 0.000000 0.524331 0.144779
rgbGen wave sawtooth 1.000000 0.000000 0.524331 0.144779
tcMod stretch sawtooth 0.000000 0.329548 0.524331 0.144779
blendfunc add
}
}

textures/pad_cyb/bubbles2_11
{
qer_editorimage textures/pad_cyb/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 25.100649 4.780672 486 sawtooth 0 1 0.907308 0.255448
{
clampmap textures/pad_cyb/bubbles2.tga
tcMod rotate 16.214331
AlphaGen wave sawtooth 1.000000 0.000000 0.907308 0.255448
rgbGen wave sawtooth 1.000000 0.000000 0.907308 0.255448
tcMod stretch sawtooth 0.000000 2.025596 0.907308 0.255448
blendfunc add
}
}

textures/pad_cyb/bubbles2_12
{
qer_editorimage textures/pad_cyb/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 12.983425 -1.691125 395 sawtooth 0 1 0.845538 0.495670
{
clampmap textures/pad_cyb/bubbles2.tga
tcMod rotate -2.724845
AlphaGen wave sawtooth 1.000000 0.000000 0.845538 0.495670
rgbGen wave sawtooth 1.000000 0.000000 0.845538 0.495670
tcMod stretch sawtooth 0.000000 0.903418 0.845538 0.495670
blendfunc add
}
}

textures/pad_cyb/pad_cyb_splash_1
{
qer_editorimage textures/pad_cyb/pad_cyb_splash.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -0.001783 -0.017516 0.171927 sawtooth 0 1 0.050000 5.415586
{
clampmap textures/pad_cyb/pad_cyb_splash.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.168883 -0.927244 0.050000 5.415586
rgbGen wave sawtooth 0.735966 -0.142424 0.050000 5.415586
tcMod stretch sawtooth 0.300000 1.068737 0.050000 5.415586
blendfunc add
}
}

textures/pad_cyb/pad_cyb_splash_2
{
qer_editorimage textures/pad_cyb/pad_cyb_splash.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 0.003432 -0.013143 0.196668 sawtooth 0 1 0.050000 4.289267
{
clampmap textures/pad_cyb/pad_cyb_splash.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.015302 -0.293161 0.050000 4.289267
rgbGen wave sawtooth 0.813166 -0.318186 0.050000 4.289267
tcMod stretch sawtooth 0.300000 0.678637 0.050000 4.289267
blendfunc add
}
}

textures/pad_cyb/pad_cyb_splash_3
{
qer_editorimage textures/pad_cyb/pad_cyb_splash.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 0.082027 -0.074155 0.419187 sawtooth 0 1 0.050000 2.758142
{
clampmap textures/pad_cyb/pad_cyb_splash.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.179943 -0.923197 0.050000 2.758142
rgbGen wave sawtooth 0.957604 -0.446760 0.050000 2.758142
tcMod stretch sawtooth 0.300000 0.438395 0.050000 2.758142
blendfunc add
}
}

textures/pad_cyb/pad_cyb_splash_4
{
qer_editorimage textures/pad_cyb/pad_cyb_splash.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 0.096731 0.030182 0.397254 sawtooth 0 1 0.050000 2.821846
{
clampmap textures/pad_cyb/pad_cyb_splash.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.076534 -0.301932 0.050000 2.821846
rgbGen wave sawtooth 0.826069 -0.287912 0.050000 2.821846
tcMod stretch sawtooth 0.300000 0.523212 0.050000 2.821846
blendfunc add
}
}

textures/pad_cyb/pad_cyb_splash_5
{
qer_editorimage textures/pad_cyb/pad_cyb_splash.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 0.006604 0.014914 0.259085 sawtooth 0 1 0.050000 3.494662
{
clampmap textures/pad_cyb/pad_cyb_splash.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.113401 -0.445424 0.050000 3.494662
rgbGen wave sawtooth 0.733903 -0.219044 0.050000 3.494662
tcMod stretch sawtooth 0.300000 1.439134 0.050000 3.494662
blendfunc add
}
}

textures/pad_cyb/pad_cyb_splash_6
{
qer_editorimage textures/pad_cyb/pad_cyb_splash.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -0.035492 -0.033019 0.404591 sawtooth 0 1 0.050000 2.068297
{
clampmap textures/pad_cyb/pad_cyb_splash.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.017341 -0.727104 0.050000 2.068297
rgbGen wave sawtooth 0.698184 -0.226295 0.050000 2.068297
tcMod stretch sawtooth 0.300000 0.398111 0.050000 2.068297
blendfunc add
}
}

textures/pad_cyb/pad_cyb_splash_7
{
qer_editorimage textures/pad_cyb/pad_cyb_splash.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 0.012884 -0.000916 0.178425 sawtooth 0 1 0.050000 6.675291
{
clampmap textures/pad_cyb/pad_cyb_splash.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.173962 -0.647713 0.050000 6.675291
rgbGen wave sawtooth 0.643605 -0.064510 0.050000 6.675291
tcMod stretch sawtooth 0.300000 0.459526 0.050000 6.675291
blendfunc add
}
}

textures/pad_cyb/pad_cyb_splash_8
{
qer_editorimage textures/pad_cyb/pad_cyb_splash.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 0.060222 0.027980 0.505405 sawtooth 0 1 0.050000 1.748795
{
clampmap textures/pad_cyb/pad_cyb_splash.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.869045 -0.291763 0.050000 1.748795
rgbGen wave sawtooth 0.639760 -0.086288 0.050000 1.748795
tcMod stretch sawtooth 0.300000 1.264776 0.050000 1.748795
blendfunc add
}
}

textures/pad_cyb/pad_cyb_splash_9
{
qer_editorimage textures/pad_cyb/pad_cyb_splash.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -0.068247 0.030351 0.452946 sawtooth 0 1 0.050000 2.311882
{
clampmap textures/pad_cyb/pad_cyb_splash.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.806836 -0.164367 0.050000 2.311882
rgbGen wave sawtooth 0.861324 -0.351811 0.050000 2.311882
tcMod stretch sawtooth 0.300000 1.478210 0.050000 2.311882
blendfunc add
}
}

textures/pad_cyb/pad_cyb_splash_10
{
qer_editorimage textures/pad_cyb/pad_cyb_splash.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 0.011632 -0.040931 0.533328 sawtooth 0 1 0.050000 1.565514
{
clampmap textures/pad_cyb/pad_cyb_splash.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.838856 -0.092288 0.050000 1.565514
rgbGen wave sawtooth 0.667507 -0.154943 0.050000 1.565514
tcMod stretch sawtooth 0.300000 0.663549 0.050000 1.565514
blendfunc add
}
}

textures/pad_cyb/pad_cyb_splash_11
{
qer_editorimage textures/pad_cyb/pad_cyb_splash.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -0.051393 0.090922 0.726240 sawtooth 0 1 0.050000 1.557789
{
clampmap textures/pad_cyb/pad_cyb_splash.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.931498 -0.606214 0.050000 1.557789
rgbGen wave sawtooth 0.902292 -0.405335 0.050000 1.557789
tcMod stretch sawtooth 0.300000 0.603598 0.050000 1.557789
blendfunc add
}
}

textures/pad_cyb/pad_cyb_splash_12
{
qer_editorimage textures/pad_cyb/pad_cyb_splash.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 0.009477 -0.058013 0.509409 sawtooth 0 1 0.050000 2.104320
{
clampmap textures/pad_cyb/pad_cyb_splash.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.917887 -0.699539 0.050000 2.104320
rgbGen wave sawtooth 0.905429 -0.376501 0.050000 2.104320
tcMod stretch sawtooth 0.300000 0.630845 0.050000 2.104320
blendfunc add
}
}

textures/pad_cyb/pad_cyb_splash_13
{
qer_editorimage textures/pad_cyb/pad_cyb_splash.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -0.030592 0.009375 0.474610 sawtooth 0 1 0.050000 1.744549
{
clampmap textures/pad_cyb/pad_cyb_splash.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.842579 -0.482101 0.050000 1.744549
rgbGen wave sawtooth 0.796429 -0.339640 0.050000 1.744549
tcMod stretch sawtooth 0.300000 0.898920 0.050000 1.744549
blendfunc add
}
}

textures/pad_cyb/pad_cyb_splash_14
{
qer_editorimage textures/pad_cyb/pad_cyb_splash.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -0.029733 -0.034695 0.207681 sawtooth 0 1 0.050000 5.299960
{
clampmap textures/pad_cyb/pad_cyb_splash.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.811036 -0.261513 0.050000 5.299960
rgbGen wave sawtooth 0.906784 -0.322111 0.050000 5.299960
tcMod stretch sawtooth 0.300000 0.518671 0.050000 5.299960
blendfunc add
}
}

textures/pad_cyb/pad_cyb_splash_15
{
qer_editorimage textures/pad_cyb/pad_cyb_splash.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 0.080672 0.009013 0.327256 sawtooth 0 1 0.050000 3.306758
{
clampmap textures/pad_cyb/pad_cyb_splash.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.091452 -0.619770 0.050000 3.306758
rgbGen wave sawtooth 0.912265 -0.337150 0.050000 3.306758
tcMod stretch sawtooth 0.300000 0.337831 0.050000 3.306758
blendfunc add
}
}

textures/pad_cyb/pad_cyb_splash_16
{
qer_editorimage textures/pad_cyb/pad_cyb_splash.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -0.039629 0.000462 0.687502 sawtooth 0 1 0.050000 1.604236
{
clampmap textures/pad_cyb/pad_cyb_splash.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.890738 -0.318326 0.050000 1.604236
rgbGen wave sawtooth 0.915525 -0.452083 0.050000 1.604236
tcMod stretch sawtooth 0.300000 0.822672 0.050000 1.604236
blendfunc add
}
}

textures/pad_cyb/pad_cyb_splash_17
{
qer_editorimage textures/pad_cyb/pad_cyb_splash.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 0.014417 0.000118 0.438142 sawtooth 0 1 0.050000 2.578800
{
clampmap textures/pad_cyb/pad_cyb_splash.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.140391 -0.693246 0.050000 2.578800
rgbGen wave sawtooth 0.961083 -0.445314 0.050000 2.578800
tcMod stretch sawtooth 0.300000 0.815897 0.050000 2.578800
blendfunc add
}
}

textures/pad_cyb/pad_cyb_splash_18
{
qer_editorimage textures/pad_cyb/pad_cyb_splash.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -0.007536 -0.004976 0.341288 sawtooth 0 1 0.050000 2.494348
{
clampmap textures/pad_cyb/pad_cyb_splash.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.027277 -0.669967 0.050000 2.494348
rgbGen wave sawtooth 0.942833 -0.509574 0.050000 2.494348
tcMod stretch sawtooth 0.300000 1.402915 0.050000 2.494348
blendfunc add
}
}

textures/pad_cyb/pad_cyb_splash_19
{
qer_editorimage textures/pad_cyb/pad_cyb_splash.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -0.084113 0.021117 0.370545 sawtooth 0 1 0.050000 2.133421
{
clampmap textures/pad_cyb/pad_cyb_splash.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.967180 -0.583026 0.050000 2.133421
rgbGen wave sawtooth 0.978478 -0.435908 0.050000 2.133421
tcMod stretch sawtooth 0.300000 0.962313 0.050000 2.133421
blendfunc add
}
}

textures/pad_cyb/pad_cyb_splash_20
{
qer_editorimage textures/pad_cyb/pad_cyb_splash.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 0.038920 0.013735 0.531535 sawtooth 0 1 0.050000 1.943187
{
clampmap textures/pad_cyb/pad_cyb_splash.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.080734 -0.363903 0.050000 1.943187
rgbGen wave sawtooth 0.722513 -0.255074 0.050000 1.943187
tcMod stretch sawtooth 0.300000 1.233390 0.050000 1.943187
blendfunc add
}
}

// ***********************************************************
// *
// *  cybbath: rust -> image and shader by MopAn, image modified by Cyben
// *
// ***********************************************************
textures/pad_cyb/pad_cyb_rust1
{    
     surfaceparm	nomarks   
     surfaceparm	trans
     surfaceparm pointlight
   
        {
		map textures/pad_cyb/pad_cyb_rust1.tga
               		blendFunc add
		rgbGen vertex
	}
}

// ***********************************************************
// *
// *  cybbath: fransen -> by Cyben
// *
// ***********************************************************
textures/pad_cyb/fransen
{    
     surfaceparm	nomarks   
     surfaceparm	trans
     surfaceparm pointlight
   
        {
		map textures/pad_cyb/fransen.tga
               		blendFunc add
		rgbGen vertex
	}
}

textures/pad_cyb/screw1
{
        qer_editorimage textures/pad_cyb/screw1.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/pad_cyb/screw1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/pad_cyb/fransen2
{
        qer_editorimage textures/pad_cyb/fransen2.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/pad_cyb/fransen2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/pad_objects02/pad_tuch
{
surfaceparm carpetsteps
{
map $lightmap
rgbGen identity
}
{
map textures/pad_objects02/pad_tuch.tga
blendFunc GL_DST_COLOR GL_ZERO
rgbGen identity
}
}

textures/pad_harm/metalline03b
{
surfaceparm metalsteps
{
map $lightmap
rgbGen identity
}
{
map textures/pad_harm/metalline03b.tga
blendFunc GL_DST_COLOR GL_ZERO
rgbGen identity
}
}

textures/pad_cyb/schie04
{
surfaceparm metalsteps
{
map $lightmap
rgbGen identity
}
{
map textures/pad_cyb/schie04.tga
blendFunc GL_DST_COLOR GL_ZERO
rgbGen identity
}
}

textures/pad_cyb/toiletwater
{
	qer_editorimage textures/pad_cyb/wat_002.tga
	q3map_lightimage textures/pad_cyb/wat_002.tga
	surfaceparm nodrop
	surfaceparm noimpact
	// surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes wave 30 sin 0 4 0 0.2 
	deformVertexes wave 100 sin 0 4 0 0.7 
	tessSize 48
	qer_trans 0.5
	
	{
		map textures/pad_cyb/wat002.tga
		blendfunc add
		rgbGen identity
		tcMod turb 0.4 0.3 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.01 1.4
	}
}

textures/pad_cyb/bathwater
{
        qer_editorimage textures/pad_kitchen/spuelwater.tga
        qer_trans 0.5
        q3map_globaltexture
        surfaceparm trans
        surfaceparm nolightmap
        surfaceparm nonsolid
        surfaceparm water
        cull disable

        {
               map textures/pad_kitchen/spuelwater.tga
               tcMod turb 0.2 0.1 1 0.05
               tcMod scale 0.5 0.5
               tcMod scroll 0.01 0.01
               blendfunc add
               rgbGen identity

        }

}
